package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.order.entity.OrderItemEntity;
import com.ycwl.basic.model.pc.order.req.OrderAddOrUpdateReq;
import com.ycwl.basic.model.pc.order.req.OrderReqQuery;
import com.ycwl.basic.model.pc.order.resp.OrderAppRespVO;
import com.ycwl.basic.model.pc.order.resp.OrderRespVO;
import com.ycwl.basic.utils.ApiResponse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 16:32
 * 订单
 */
@Mapper
public interface OrderMapper {
    List<OrderRespVO> list(OrderReqQuery orderReqQuery);
    OrderRespVO getById(Long id);
    int add(OrderAddOrUpdateReq order);
//    int deleteById(Long id);
    int update(OrderAddOrUpdateReq order);

    /**
     * 添加订单明细
     * @param orderItems
     * @return
     */
    int addOrderItems(List<OrderItemEntity> orderItems);

    ApiResponse getOrderCount(OrderReqQuery query);

    List<OrderAppRespVO> appList(OrderReqQuery orderReqQuery);

    OrderAppRespVO appDetail(Long id);
}
