package com.ycwl.basic.model.pc.template.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 14:10
 * 模版
 */
@Data
@ApiModel("模版响应数据类")
public class TemplateRespVO {
    private Long id;
    /**
     * 模版名称
     */
    @ApiModelProperty("模版名称")
    private String name;
    /**
     * 父模版ID
     */
    @ApiModelProperty("父模版ID")
    private Long pId;
    /**
     * 是否是占位素材，0不是，1是
     */
    @ApiModelProperty("是否是占位素材，0不是，1是")
    private Integer isPlaceholder;
    /**
     * 来源，如果是占位素材则为占位标识
     * CHILD：所有子模板
     * PLACEHOLDER_***：根据任务附加属性获取
     */
    @ApiModelProperty("来源，如果是占位素材则为占位标识")
    private String sourceUrl;
    /**
     * 逗号隔开，叠加调色列表
     */
    @ApiModelProperty("逗号隔开，叠加调色列表")
    private String luts;
    /**
     * 逗号隔开，叠加蒙版列表
     */
    @ApiModelProperty("逗号隔开，叠加蒙版列表")
    private String overlays;
    /**
     * 逗号隔开，叠加音轨列表
     */
    @ApiModelProperty("逗号隔开，叠加音轨列表")
    private String audios;
    /**
     * 帧率
     */
    @ApiModelProperty("帧率")
    private Integer frameRate;
    /**
     * 倍速，默认1
     */
    @ApiModelProperty("倍速，默认1")
    private BigDecimal speed;
    /**
     * 是否启用，0不是，1是
     */
    @ApiModelProperty("是否启用，0不是，1是")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
