package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.mobile.goods.GoodsPriceQueryReq;
import com.ycwl.basic.model.mobile.goods.GoodsReqQuery;
import com.ycwl.basic.model.mobile.goods.GoodsVO;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 15:03
 */
public interface GoodsService {

    /**
     * 查询商品列表
     * @param query 查询条件
     * @return
     */
    ApiResponse<List<GoodsVO>> goodsList(GoodsReqQuery query);

    /**
     * 查询源素材商品列表
     * @param query
     * @return
     */
    ApiResponse<List<SourceRespVO>> sourceGoodsList(GoodsReqQuery query);

    /**
     * 查询订单应付价格
     * @param queryPriceData
     * @return
     */
    ApiResponse queryPrice(GoodsPriceQueryReq queryPriceData);
}
