package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.enums.OrderStateEnum;
import com.ycwl.basic.model.pc.order.req.OrderAddOrUpdateReq;
import com.ycwl.basic.model.pc.order.req.OrderReqQuery;
import com.ycwl.basic.model.pc.order.resp.OrderAppRespVO;
import com.ycwl.basic.model.pc.order.resp.OrderRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 13:51
 */
public interface OrderService {
    ApiResponse<PageInfo<OrderRespVO>> pageQuery(OrderReqQuery query);
    ApiResponse<List<OrderRespVO>> list(OrderReqQuery query);
    ApiResponse<OrderRespVO> detail(Long orderId);
    ApiResponse<Integer> add(OrderAddOrUpdateReq query);
    ApiResponse<Integer> update(OrderAddOrUpdateReq query);


    void updateOrderState(Long orderSn, OrderStateEnum orderStateEnum, String refundReason);

    ApiResponse getOrderCountByUserId(Long userId);

    ApiResponse<PageInfo<OrderAppRespVO>> appPageQuery(OrderReqQuery orderReqQuery);

    ApiResponse<OrderAppRespVO> appDetail(Long id);


}
